SQLR-STOP(8)

NAME
sqlr-stop - manual page for sqlr-stop 1.9.2

SYNOPSIS
sqlr-stop [OPTIONS]

DESCRIPTION
sqlr-stop is the shutdown program for the SQL Relay server processes.

The sqlr-stop program stops sqlr-listener, sqlr-connection, and sqlr-scaler processes.

When run with the -id argument, sqlr-stop stops processes for the specified instance. When run with no -id argument, sqlr-stop stops all running sqlr-listener, sqlr-connection, and sqlr-scaler processes.

OPTIONS

-config config
    Override the default configuration with the specified configuration.

-localstatedir dir
    Override the default directory for keeping pid files, sockets, and other working or stateful files with the specified directory.

EXAMPLES
Stop instance "myinst" who's pid files are found in the default location.

    sqlr-stop -id myinst

Stop instance "myinst" who's pid files are found under /opt/myapp/var

    sqlr-stop -localstatedir /opt/myapp/var -id myinst

Stop all running instances who's pid files are found in the default location.

    sqlr-stop

Stop all running instances who's pid files are found under /opt/myapp/var

    sqlr-stop -localstatedir /opt/myapp/var

Rudiments version: 1.4.0 Compiled: Aug 9 2021 22:08:13

AUTHOR
Written by David Muse.

COPYRIGHT
Copyright © 1999-2018 David Muse
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.